Public Attributes | List of all members
__attribute__ Struct Reference
SYSTEM » System SDK

`#include <gr533x_chip_trim.h>`

## Public Attributes
uint16_t | ate_version
uint16_t | hw_version
uint16_t | chip_id
uint16_t | package
uint16_t | flash_size
uint16_t | ram_size
uint8_t | unused [12]
uint8_t | tx_power
uint8_t | rssi_cali
uint8_t | hp_gain
uint8_t | dcdc_1p05
uint8_t | dcdc_1p15
uint8_t | dig_ldo_0p9_coarse
uint8_t | dig_ldo_0P9_fine
uint8_t | dig_ldo_1p05_coarse
uint8_t | dig_ldo_1p05_fine
uint8_t | sys_ldo_1p05
uint8_t | sys_ldo_1p15
uint8_t | io_ldo_1p8
uint8_t | io_ldo_3p0
uint8_t | stb_io_ldo_1P8
uint8_t | stb_io_ldo_3p0
uint16_t | offset_int_0p8
uint16_t | slope_int_0p8
uint16_t | offset_int_1p2
uint16_t | slope_int_1p2
uint16_t | offset_int_1p6
uint16_t | slope_int_1p6
uint16_t | offset_ext_1p0
uint16_t | slope_ext_1p0
uint16_t | temp
uint16_t | temp_ref
uint16_t | hf_osc_192m
uint16_t | hf_osc_192m_fine
uint8_t | flash_manufacturer
uint8_t | feature
uint8_t | flash_tVSL
uint8_t | flash_tESL
uint8_t | flash_tPSL
uint8_t | flash_tPRS
uint8_t | flash_tERS
uint8_t | flash_tDP
uint8_t | flash_tRES2
uint8_t | flash_tRDINT
uint16_t | pattern
uint16_t | item_end
uint32_t | check_sum
production_t | prod
rf_trim_t | rf
pmu_trim_t | pmu
sadc_trim_t | sadc
clk_trim_t | clk
flash_timing_t | flash
uint8_t | bt_addr [6]
uint16_t | xo_offset

## Detailed Description

Definition at line 57 of file gr533x_chip_trim.h.

## Member Data Documentation

## ◆ ate_version

uint16_t __attribute__::ate_version

Definition at line 59 of file gr533x_chip_trim.h.

## ◆ bt_addr

uint8_t __attribute__::bt_addr[6]

Definition at line 144 of file gr533x_chip_trim.h.

## ◆ check_sum

uint32_t __attribute__::check_sum

Definition at line 133 of file gr533x_chip_trim.h.

## ◆ chip_id

uint16_t __attribute__::chip_id

Definition at line 61 of file gr533x_chip_trim.h.

## ◆ clk

clk_trim_t __attribute__::clk

Definition at line 138 of file gr533x_chip_trim.h.

## ◆ dcdc_1p05

uint8_t __attribute__::dcdc_1p05

Definition at line 78 of file gr533x_chip_trim.h.

## ◆ dcdc_1p15

uint8_t __attribute__::dcdc_1p15

Definition at line 79 of file gr533x_chip_trim.h.

## ◆ dig_ldo_0p9_coarse

uint8_t __attribute__::dig_ldo_0p9_coarse

Definition at line 80 of file gr533x_chip_trim.h.

## ◆ dig_ldo_0P9_fine

uint8_t __attribute__::dig_ldo_0P9_fine

Definition at line 81 of file gr533x_chip_trim.h.

## ◆ dig_ldo_1p05_coarse

uint8_t __attribute__::dig_ldo_1p05_coarse

Definition at line 82 of file gr533x_chip_trim.h.

## ◆ dig_ldo_1p05_fine

uint8_t __attribute__::dig_ldo_1p05_fine

Definition at line 83 of file gr533x_chip_trim.h.

## ◆ feature

uint8_t __attribute__::feature

Definition at line 118 of file gr533x_chip_trim.h.

## ◆ flash

flash_timing_t __attribute__::flash

Definition at line 139 of file gr533x_chip_trim.h.

## ◆ flash_manufacturer

uint8_t __attribute__::flash_manufacturer

Definition at line 117 of file gr533x_chip_trim.h.

## ◆ flash_size

uint16_t __attribute__::flash_size

Definition at line 63 of file gr533x_chip_trim.h.

## ◆ flash_tDP

uint8_t __attribute__::flash_tDP

Definition at line 124 of file gr533x_chip_trim.h.

## ◆ flash_tERS

uint8_t __attribute__::flash_tERS

Definition at line 123 of file gr533x_chip_trim.h.

## ◆ flash_tESL

uint8_t __attribute__::flash_tESL

Definition at line 120 of file gr533x_chip_trim.h.

## ◆ flash_tPRS

uint8_t __attribute__::flash_tPRS

Definition at line 122 of file gr533x_chip_trim.h.

## ◆ flash_tPSL

uint8_t __attribute__::flash_tPSL

Definition at line 121 of file gr533x_chip_trim.h.

## ◆ flash_tRDINT

uint8_t __attribute__::flash_tRDINT

Definition at line 126 of file gr533x_chip_trim.h.

## ◆ flash_tRES2

uint8_t __attribute__::flash_tRES2

Definition at line 125 of file gr533x_chip_trim.h.

## ◆ flash_tVSL

uint8_t __attribute__::flash_tVSL

Definition at line 119 of file gr533x_chip_trim.h.

## ◆ hf_osc_192m

uint16_t __attribute__::hf_osc_192m

Definition at line 110 of file gr533x_chip_trim.h.

## ◆ hf_osc_192m_fine

uint16_t __attribute__::hf_osc_192m_fine

Definition at line 111 of file gr533x_chip_trim.h.

## ◆ hp_gain

uint8_t __attribute__::hp_gain

Definition at line 72 of file gr533x_chip_trim.h.

## ◆ hw_version

uint16_t __attribute__::hw_version

Definition at line 60 of file gr533x_chip_trim.h.

## ◆ io_ldo_1p8

uint8_t __attribute__::io_ldo_1p8

Definition at line 86 of file gr533x_chip_trim.h.

## ◆ io_ldo_3p0

uint8_t __attribute__::io_ldo_3p0

Definition at line 87 of file gr533x_chip_trim.h.

## ◆ item_end

uint16_t __attribute__::item_end

Definition at line 132 of file gr533x_chip_trim.h.

## ◆ offset_ext_1p0

uint16_t __attribute__::offset_ext_1p0

Definition at line 101 of file gr533x_chip_trim.h.

## ◆ offset_int_0p8

uint16_t __attribute__::offset_int_0p8

Definition at line 95 of file gr533x_chip_trim.h.

## ◆ offset_int_1p2

uint16_t __attribute__::offset_int_1p2

Definition at line 97 of file gr533x_chip_trim.h.

## ◆ offset_int_1p6

uint16_t __attribute__::offset_int_1p6

Definition at line 99 of file gr533x_chip_trim.h.

## ◆ package

uint16_t __attribute__::package

Definition at line 62 of file gr533x_chip_trim.h.

## ◆ pattern

uint16_t __attribute__::pattern

Definition at line 131 of file gr533x_chip_trim.h.

## ◆ pmu

pmu_trim_t __attribute__::pmu

Definition at line 136 of file gr533x_chip_trim.h.

## ◆ prod

production_t __attribute__::prod

Definition at line 134 of file gr533x_chip_trim.h.

## ◆ ram_size

uint16_t __attribute__::ram_size

Definition at line 64 of file gr533x_chip_trim.h.

## ◆ rf

rf_trim_t __attribute__::rf

Definition at line 135 of file gr533x_chip_trim.h.

## ◆ rssi_cali

uint8_t __attribute__::rssi_cali

Definition at line 71 of file gr533x_chip_trim.h.

## ◆ sadc

sadc_trim_t __attribute__::sadc

Definition at line 137 of file gr533x_chip_trim.h.

## ◆ slope_ext_1p0

uint16_t __attribute__::slope_ext_1p0

Definition at line 102 of file gr533x_chip_trim.h.

## ◆ slope_int_0p8

uint16_t __attribute__::slope_int_0p8

Definition at line 96 of file gr533x_chip_trim.h.

## ◆ slope_int_1p2

uint16_t __attribute__::slope_int_1p2

Definition at line 98 of file gr533x_chip_trim.h.

## ◆ slope_int_1p6

uint16_t __attribute__::slope_int_1p6

Definition at line 100 of file gr533x_chip_trim.h.

## ◆ stb_io_ldo_1P8

uint8_t __attribute__::stb_io_ldo_1P8

Definition at line 88 of file gr533x_chip_trim.h.

## ◆ stb_io_ldo_3p0

uint8_t __attribute__::stb_io_ldo_3p0

Definition at line 89 of file gr533x_chip_trim.h.

## ◆ sys_ldo_1p05

uint8_t __attribute__::sys_ldo_1p05

Definition at line 84 of file gr533x_chip_trim.h.

## ◆ sys_ldo_1p15

uint8_t __attribute__::sys_ldo_1p15

Definition at line 85 of file gr533x_chip_trim.h.

## ◆ temp

uint16_t __attribute__::temp

Definition at line 103 of file gr533x_chip_trim.h.

## ◆ temp_ref

uint16_t __attribute__::temp_ref

Definition at line 104 of file gr533x_chip_trim.h.

## ◆ tx_power

uint8_t __attribute__::tx_power

Definition at line 70 of file gr533x_chip_trim.h.

## ◆ unused

uint8_t __attribute__::unused

Definition at line 65 of file gr533x_chip_trim.h.

## ◆ xo_offset

uint16_t __attribute__::xo_offset

Definition at line 145 of file gr533x_chip_trim.h.

The documentation for this struct was generated from the following file:

- gr533x_chip_trim.h